Name:           codespell
Version:        2.3.0
Release:        %mkrel 1
Summary:        Find and fix common misspellings in text files
Group:          Development/Tools
License:        GPLv2
URL:            https://github.com/lucasdemarchi/codespell
Source0:        https://github.com/lucasdemarchi/codespell/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  aspell-en
BuildRequires:  help2man
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools-scm
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest-dependency)

%description
Finds and fixes common misspellings in text files. It is designed
primarily for checking misspelled words in source code, but it can be
used with other files as well.

%prep
%autosetup -p1

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_install
%pyproject_save_files codespell_lib

# Generate manpage
help2man %{buildroot}%{_bindir}/%{name} --no-discard-stderr \
  --include %{name}.1.include --no-info --output %{name}.1
sed -i '/\.SS \"Usage/,+2d' %{name}.1

# Install manpage
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files -f %{pyproject_files}
%doc README.rst
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Nov 27 2024 daviddavid <daviddavid> 2.3.0-1.mga10
+ Revision: 2119534
- new version: 2.3.0

* Tue Jan 09 2024 daviddavid <daviddavid> 2.2.6-2.mga10
+ Revision: 2029174
- rebuild for py3.12

* Fri Dec 01 2023 daviddavid <daviddavid> 2.2.6-1.mga10
+ Revision: 2012318
- new version: 2.2.6
- switch to pyproject

* Fri Sep 02 2022 neoclust <neoclust> 2.2.1-1.mga9
+ Revision: 1883539
- New version 2.2.1

* Wed Mar 23 2022 umeabot <umeabot> 2.1.0-3.mga9
+ Revision: 1823032
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 2.1.0-2.mga9
+ Revision: 1779045
- Rebuild for python 3.10

* Thu Jan 06 2022 akien <akien> 2.1.0-1.mga9
+ Revision: 1767151
- Version 2.1.0

* Thu Mar 25 2021 daviddavid <daviddavid> 2.0.0-2.mga9
+ Revision: 1709822
- rebuild for python 3.9

* Tue Nov 24 2020 daviddavid <daviddavid> 2.0.0-1.mga8
+ Revision: 1648872
- new version: 2.0.0

* Sat May 23 2020 daviddavid <daviddavid> 1.17.1-1.mga8
+ Revision: 1586925
- new version: 1.17.1

* Sun Feb 16 2020 umeabot <umeabot> 1.16.0-2.mga8
+ Revision: 1536682
- Mageia 8 Mass Rebuild

* Tue Oct 22 2019 daviddavid <daviddavid> 1.16.0-1.mga8
+ Revision: 1455108
- new version: 1.16.0

* Sat Sep 14 2019 daviddavid <daviddavid> 1.15.0-2.mga8
+ Revision: 1440777
- rebuild for python3.8

* Sun May 19 2019 akien <akien> 1.15.0-1.mga7
+ Revision: 1398482
- Version 1.15.0

* Fri Jan 11 2019 daviddavid <daviddavid> 1.14.0-2.mga7
+ Revision: 1354691
- rebuild for new Python 3.7

* Sat Nov 03 2018 daviddavid <daviddavid> 1.14.0-1.mga7
+ Revision: 1328009
- new version: 1.14.0

* Thu Sep 20 2018 umeabot <umeabot> 1.13.0-2.mga7
+ Revision: 1277809
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 akien <akien> 1.13.0-1.mga7
+ Revision: 1237716
- Version 1.13.0

* Mon May 14 2018 akien <akien> 1.12.0-1.mga7
+ Revision: 1229321
- Version 1.12.0

* Sat Dec 30 2017 akien <akien> 1.11.0-1.mga7
+ Revision: 1187644
- Version 1.11.0

* Sat Aug 05 2017 pterjan <pterjan> 1.10.0-2.mga7
+ Revision: 1135197
- Rebuild for python 3.6

* Fri Mar 17 2017 akien <akien> 1.10.0-1.mga6
+ Revision: 1093388
- Version 1.10.0

* Fri Jan 27 2017 akien <akien> 1.9.2-1.mga6
+ Revision: 1083649
- imported package codespell

